## edu.cwru.SimpleRTS.model
Class ResourceGatheringTest

    java.lang.Object
      edu.cwru.SimpleRTS.model.ResourceGatheringTest

    public class ResourceGatheringTest

extends java.lang.Object

Constructor Summary
`ResourceGatheringTest()`

Method Summary
`static void` `setup()` Creates an initial state with one of each unit type.
`void` `test1()`
`void` `test2()`
`void` `test3()`
`void` `test4()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceGatheringTest

    public ResourceGatheringTest()

Method Detail

### setup

    public static void setup()
                      throws java.lang.Exception

  Creates an initial state with one of each unit type.

  Throws:
    `java.lang.Exception`

### test1

    public void test1()

### test2

    public void test2()

### test3

    public void test3()

### test4

    public void test4()